<?php

// Constants for defining grouping
define("GROUP_BY_DATE", "DATE");
define("GROUP_BY_HOST", "HOST");

define('GROUP_BY_SEARCHENGINE', 'ENGINE');
define('GROUP_BY_SEARCHTERM', 'TERM');

function insert_date_control($getvars, $control_id, $start_year, $end_year)
{
	$months = array('January','February','March','April','May','June','July','August','September','November','December');
	$selected_date = get_date_control_value($getvars, $control_id);
	?>
	<select name="<?= $control_id ?>_month">
		<option value="">&nbsp;</option>
		<?php for ($i = 0; $i < count($months); $i++) { ?>
		<option value="<?= $i+1 ?>"<?= ($selected_date[2]==$i+1) ? ' selected' : '' ?>><?= $months[$i]; ?></option>
		<?php } ?>
	</select>
	<select name="<?= $control_id ?>_day">
		<option value="">&nbsp;</option>
		<?php for ($i = 1; $i <= 31; $i++) { ?>
		<option value="<?= $i ?>"<?= ($selected_date[3]==$i) ? ' selected' : '' ?>><?= $i ?></option>
		<?php } ?>
	</select>
	<select name="<?= $control_id ?>_year">
		<option value="">&nbsp;</option>
		<?php for ($i = $start_year; $i <= $end_year; $i++) { ?>
		<option value="<?= $i ?>"<?= ($selected_date[1]==$i) ? ' selected' : '' ?>><?= $i ?></option>
		<?php } ?>
	</select>
	<?php
}

function get_date_control_value($getvars, $control_id)
{
	$sel_month = $getvars[$control_id . '_month'];
	$sel_day = $getvars[$control_id . '_day'];
	$sel_year = $getvars[$control_id . '_year'];
	$whole_date = (!empty($sel_month) && !empty($sel_day) && !empty($sel_year)) ? ($sel_year . '-' . $sel_month . '-' . $sel_day) : '';
	return array($whole_date, $sel_year, $sel_month, $sel_day);
}

?>
