<?php

function display_file_size($filesize)
{
	$units = array('b', 'kb', 'mb', 'gb');

	for ($i = count($units); $i >= 0; $i--)
	{
		$unit_base = pow(1024, $i);
		$value = $filesize / $unit_base;
		if ($value >= 1) { return number_format($value, 2) . ' ' . $units[$i]; }
	}
}

?>
