<?php
	require_once('config.php');
	require_once('lib/database.php');
	require_once('lib/links.php');
	$new_server_url = 'index.php';
	$server_id = !empty($_GET['server_id']) ? $_GET['server_id'] : 0;
	$group_by = !empty($_GET['group_by']) ? $_GET['group_by'] : 'DATE';
	$domain = !empty($_GET['domain']) ? $_GET['domain'] : '';
	$db = websessions_db_connect($WEBSESSIONS_SERVERS, $server_id);
?>
<?php include('include/htmlheader.php') ?>
<?php include('include/header.php'); ?>

<table class="data_table" cellspacing="0">
	<tr>
		<th>Hostname</th>
	</tr>
	<?php
		$res =& $db->query('SELECT IF(host_name="", ip_address, host_name) AS host_name_or_ip, COUNT(session_id)
							FROM session
							WHERE domain_name=?
							GROUP BY host_name_or_ip
							ORDER BY host_name_or_ip', array($domain));
		if (PEAR::isError($res)) { die($res->getMessage()); }
		$count = 0;
		while($row =& $res->fetchRow(DB_FETCHMODE_ORDERED))
		{
			$link = get_websessions_link('sessions_by_hostname.php', $server_id, $group_by, $domain, $row[0]);
			?>
			<tr<?= ($count % 2 == 1) ? ' class="altRow"' : '' ?>>
				<td><a href="<?= $link ?>"><?= $row[0] ?></a> (<?= $row[1] ?> sessions)</td>
			</tr><?php
		}
	?>
</table>


<?php include('include/footer.php'); ?>
<?php websessions_db_close($db); ?>
